package com.gxzc.zen

import com.gxzc.zen.api.sys.service.ISysUserService
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.CommandLineRunner
import org.springframework.stereotype.Component

/**
 * 启动完成 加载
 * @author NorthLan
 * @date 2018/3/26
 * @url https://noahlan.com
 */
@Component
class ApplicationInitializer : CommandLineRunner {
    companion object {
        private val logger = LoggerFactory.getLogger(ApplicationInitializer::class.java)
    }

    @Autowired
    private lateinit var sysUserService: ISysUserService

    override fun run(vararg args: String?) {
        logger.info("Started successful... initializing data...")

//        sysUserService
    }
}